<?php

namespace NoccyLabs\Hotfix;

use Symfony\Component\Console\Application;

class HotfixApplication extends Application
{
    public function __construct()
    {
        parent::__construct("Hotfix", APP_VERSION.(defined('PHAR_BUILD_DATE')?" (".PHAR_BUILD_DATE.")":""));
        $this->add(new Command\ApplyCommand());
        $this->add(new Command\SignCommand());
        $this->add(new Command\FactsCommand());
    }


}
